/* Generated by MyraPad at 19.03.2024 16:24:27 */
using Myra;
using Myra.Graphics2D;
using Myra.Graphics2D.TextureAtlases;
using Myra.Graphics2D.UI;
using Myra.Graphics2D.Brushes;
using Myra.Graphics2D.UI.Properties;
using FontStashSharp.RichText;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace AssetManager
{
	partial class UI: Panel
	{
		private void BuildUI()
		{
			OpenProjectButton = new TextButton();
			OpenProjectButton.Text = "Open project";
			OpenProjectButton.Padding = new Thickness(10, 5);
			OpenProjectButton.Id = "OpenProjectButton";

			var label1 = new Label();
			label1.Text = "Asset list";

			var listItem1 = new ListItem();
			listItem1.Text = "placeholder";

			var listItem2 = new ListItem();
			listItem2.Text = "placeholder";

			AssetListBox = new ListBox();
			AssetListBox.MinWidth = 250;
			AssetListBox.MaxWidth = 250;
			AssetListBox.MinHeight = 400;
			AssetListBox.MaxHeight = 400;
			AssetListBox.Id = "AssetListBox";
			AssetListBox.Items.Add(listItem1);
			AssetListBox.Items.Add(listItem2);

			var scrollViewer1 = new ScrollViewer();
			scrollViewer1.ShowHorizontalScrollBar = false;
			scrollViewer1.Height = 400;
			scrollViewer1.Content = AssetListBox;

			AddAssetButton = new TextButton();
			AddAssetButton.Text = "Add";
			AddAssetButton.Margin = new Thickness(15, 0, 0, 0);
			AddAssetButton.Padding = new Thickness(15, 5);
			AddAssetButton.Id = "AddAssetButton";

			RemoveAssetButton = new TextButton();
			RemoveAssetButton.Text = "Remove";
			RemoveAssetButton.Margin = new Thickness(15, 0, 0, 0);
			RemoveAssetButton.Padding = new Thickness(15, 5);
			RemoveAssetButton.Id = "RemoveAssetButton";

			var horizontalStackPanel1 = new HorizontalStackPanel();
			horizontalStackPanel1.Widgets.Add(AddAssetButton);
			horizontalStackPanel1.Widgets.Add(RemoveAssetButton);

			SaveChangesButton = new TextButton();
			SaveChangesButton.Text = "Save Changes";
			SaveChangesButton.Margin = new Thickness(15, 0, 0, 0);
			SaveChangesButton.Padding = new Thickness(15, 5);
			SaveChangesButton.Id = "SaveChangesButton";

			PrettyPrintCheckbox = new CheckBox();
			PrettyPrintCheckbox.Text = "Pretty";
			PrettyPrintCheckbox.Id = "PrettyPrintCheckbox";

			var horizontalStackPanel2 = new HorizontalStackPanel();
			horizontalStackPanel2.Spacing = 5;
			horizontalStackPanel2.Widgets.Add(SaveChangesButton);
			horizontalStackPanel2.Widgets.Add(PrettyPrintCheckbox);

			AssetListPanel = new VerticalStackPanel();
			AssetListPanel.Spacing = 10;
			AssetListPanel.Id = "AssetListPanel";
			AssetListPanel.Widgets.Add(label1);
			AssetListPanel.Widgets.Add(scrollViewer1);
			AssetListPanel.Widgets.Add(horizontalStackPanel1);
			AssetListPanel.Widgets.Add(horizontalStackPanel2);

			var verticalStackPanel1 = new VerticalStackPanel();
			verticalStackPanel1.Spacing = 10;
			verticalStackPanel1.Margin = new Thickness(10, 10, 0, 10);
			verticalStackPanel1.Padding = new Thickness(5, 5, 10, 10);
			verticalStackPanel1.Widgets.Add(OpenProjectButton);
			verticalStackPanel1.Widgets.Add(AssetListPanel);

			var label2 = new Label();
			label2.Text = "Id:";

			var label3 = new Label();
			label3.Text = "Item type:";

			var label4 = new Label();
			label4.Text = "Texture path: ";

			var label5 = new Label();
			label5.Text = "JSON path: ";

			PathLabels = new VerticalStackPanel();
			PathLabels.Spacing = 15;
			PathLabels.Id = "PathLabels";
			PathLabels.Widgets.Add(label4);
			PathLabels.Widgets.Add(label5);

			var label6 = new Label();
			label6.Text = "Never unload:";

			var verticalStackPanel2 = new VerticalStackPanel();
			verticalStackPanel2.Spacing = 15;
			verticalStackPanel2.MaxWidth = 110;
			verticalStackPanel2.Width = 110;
			verticalStackPanel2.Widgets.Add(label2);
			verticalStackPanel2.Widgets.Add(label3);
			verticalStackPanel2.Widgets.Add(PathLabels);
			verticalStackPanel2.Widgets.Add(label6);

			AssetId = new TextBox();
			AssetId.MinWidth = 250;
			AssetId.MaxWidth = 250;
			AssetId.Id = "AssetId";

			var listItem3 = new ListItem();
			listItem3.Text = "Sprite";

			var listItem4 = new ListItem();
			listItem4.Text = "SpineAsset";

			AssetItemType = new ComboBox();
			AssetItemType.MinWidth = 250;
			AssetItemType.MaxWidth = 250;
			AssetItemType.Id = "AssetItemType";
			AssetItemType.Items.Add(listItem3);
			AssetItemType.Items.Add(listItem4);

			var textBox1 = new TextBox();
			textBox1.MinWidth = 250;

			var textBox2 = new TextBox();
			textBox2.MinWidth = 250;

			PathTextBoxes = new VerticalStackPanel();
			PathTextBoxes.Spacing = 15;
			PathTextBoxes.Id = "PathTextBoxes";
			PathTextBoxes.Widgets.Add(textBox1);
			PathTextBoxes.Widgets.Add(textBox2);

			NeverUnloadCheckbox = new CheckBox();
			NeverUnloadCheckbox.Id = "NeverUnloadCheckbox";

			var verticalStackPanel3 = new VerticalStackPanel();
			verticalStackPanel3.Spacing = 15;
			verticalStackPanel3.Widgets.Add(AssetId);
			verticalStackPanel3.Widgets.Add(AssetItemType);
			verticalStackPanel3.Widgets.Add(PathTextBoxes);
			verticalStackPanel3.Widgets.Add(NeverUnloadCheckbox);

			var label7 = new Label();

			var label8 = new Label();

			var textButton1 = new TextButton();
			textButton1.Text = "Open";
			textButton1.Padding = new Thickness(5, 0);

			var textButton2 = new TextButton();
			textButton2.Text = "Import";
			textButton2.Padding = new Thickness(5, 0);

			var horizontalStackPanel3 = new HorizontalStackPanel();
			horizontalStackPanel3.Spacing = 5;
			horizontalStackPanel3.Widgets.Add(textButton1);
			horizontalStackPanel3.Widgets.Add(textButton2);

			var textButton3 = new TextButton();
			textButton3.Text = "Open";
			textButton3.Padding = new Thickness(5, 0);

			var textButton4 = new TextButton();
			textButton4.Text = "Import";
			textButton4.Padding = new Thickness(5, 0);

			var horizontalStackPanel4 = new HorizontalStackPanel();
			horizontalStackPanel4.Spacing = 5;
			horizontalStackPanel4.Widgets.Add(textButton3);
			horizontalStackPanel4.Widgets.Add(textButton4);

			PathButtons = new VerticalStackPanel();
			PathButtons.Spacing = 15;
			PathButtons.Id = "PathButtons";
			PathButtons.Widgets.Add(horizontalStackPanel3);
			PathButtons.Widgets.Add(horizontalStackPanel4);

			var verticalStackPanel4 = new VerticalStackPanel();
			verticalStackPanel4.Spacing = 15;
			verticalStackPanel4.Widgets.Add(label7);
			verticalStackPanel4.Widgets.Add(label8);
			verticalStackPanel4.Widgets.Add(PathButtons);

			var horizontalStackPanel5 = new HorizontalStackPanel();
			horizontalStackPanel5.Spacing = 15;
			horizontalStackPanel5.Margin = new Thickness(10, 10, 0, 10);
			horizontalStackPanel5.Padding = new Thickness(5, 5, 10, 10);
			horizontalStackPanel5.Widgets.Add(verticalStackPanel2);
			horizontalStackPanel5.Widgets.Add(verticalStackPanel3);
			horizontalStackPanel5.Widgets.Add(verticalStackPanel4);

			ErrorBox = new TextBox();
			ErrorBox.Text = "Error";
			ErrorBox.Multiline = true;
			ErrorBox.TextColor = ColorStorage.CreateColor(254, 57, 48, 255);
			ErrorBox.Readonly = true;
			ErrorBox.Width = 450;
			ErrorBox.Id = "ErrorBox";

			WarnBox = new TextBox();
			WarnBox.Text = "Warn";
			WarnBox.Multiline = true;
			WarnBox.TextColor = ColorStorage.CreateColor(255, 204, 1, 255);
			WarnBox.Readonly = true;
			WarnBox.Width = 450;
			WarnBox.Id = "WarnBox";

			AllGoodBox = new TextBox();
			AllGoodBox.Text = "All good!";
			AllGoodBox.TextColor = ColorStorage.CreateColor(75, 217, 97, 255);
			AllGoodBox.Readonly = true;
			AllGoodBox.Width = 450;
			AllGoodBox.Id = "AllGoodBox";

			InfoBox = new VerticalStackPanel();
			InfoBox.Id = "InfoBox";
			InfoBox.Widgets.Add(ErrorBox);
			InfoBox.Widgets.Add(WarnBox);
			InfoBox.Widgets.Add(AllGoodBox);

			Validate = new TextButton();
			Validate.Text = "Validate";
			Validate.Id = "Validate";

			AssetDetailsPanel = new VerticalStackPanel();
			AssetDetailsPanel.Spacing = 15;
			AssetDetailsPanel.Id = "AssetDetailsPanel";
			AssetDetailsPanel.Widgets.Add(horizontalStackPanel5);
			AssetDetailsPanel.Widgets.Add(InfoBox);
			AssetDetailsPanel.Widgets.Add(Validate);

			var horizontalStackPanel6 = new HorizontalStackPanel();
			horizontalStackPanel6.Width = 810;
			horizontalStackPanel6.Height = 600;
			horizontalStackPanel6.Background = new SolidBrush("#202020FF");
			horizontalStackPanel6.Widgets.Add(verticalStackPanel1);
			horizontalStackPanel6.Widgets.Add(AssetDetailsPanel);

			
			Widgets.Add(horizontalStackPanel6);
		}

		
		public TextButton OpenProjectButton;
		public ListBox AssetListBox;
		public TextButton AddAssetButton;
		public TextButton RemoveAssetButton;
		public TextButton SaveChangesButton;
		public CheckBox PrettyPrintCheckbox;
		public VerticalStackPanel AssetListPanel;
		public VerticalStackPanel PathLabels;
		public TextBox AssetId;
		public ComboBox AssetItemType;
		public VerticalStackPanel PathTextBoxes;
		public CheckBox NeverUnloadCheckbox;
		public VerticalStackPanel PathButtons;
		public TextBox ErrorBox;
		public TextBox WarnBox;
		public TextBox AllGoodBox;
		public VerticalStackPanel InfoBox;
		public TextButton Validate;
		public VerticalStackPanel AssetDetailsPanel;
	}
}
